
version: '3.6'

services:

  backend-core:
    image: 313.co.kr:5550/313devgrp/java-service-tree-framework-backend-core:25.12.38
    ports:
      - 31313:31313
    environment:
      ARMS_DETAIL_CONNECT_URL: http://www.313.co.kr
      SPRING_PROFILES_ACTIVE: stg # 여기에 원하는 프로파일을 설정
      TZ: Asia/Seoul
    extra_hosts:
      - "313.co.kr:192.168.25.101"
      - "db.313.co.kr:192.168.25.40"
      - "nas.313.co.kr:192.168.25.42"
      - "ubuntu.313.co.kr:192.168.25.101"
      - "www.313.co.kr:192.168.25.101"
      - "www.a-rms.net:192.168.25.101"
      - "a-rms.net:192.168.25.101"
    volumes:
      - /nfs/allinone/app/backend-core:/mnt
    deploy:
      mode: replicated
      replicas: 1
      placement:
        constraints: [node.hostname == swarm2]
    networks:
      - allinoneNetwork
    logging:
      driver: fluentd
      options:
        fluentd-address: 192.168.25.101:24224
        fluentd-retry-wait: "1s"
        fluentd-max-retries: "30"
        tag: backendcore

networks:
  allinoneNetwork:
    driver: overlay
    attachable: true
